commit:     b405088a516cee7dddcb234a278b1ad41719675b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  2 06:22:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr  3 15:43:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b405088a

sys-apps/ipmitool: fix variable references

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r1.ebuild |  9 +++++----
 sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r2.ebuild | 11 ++++++-----
 sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r3.ebuild | 11 ++++++-----
 3 files changed, 17 insertions(+), 14 deletions(-)

diff --git a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r1.ebuild 
b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r1.ebuild
index 2bf4240201b..c5fb6c0ba88 100644
--- a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r1.ebuild
+++ b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r1.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
+
 inherit autotools eutils
 
 DESCRIPTION="Utility for controlling IPMI enabled devices."
@@ -61,9 +62,9 @@ src_prepare() {
                        -e '/0120-openssl1.1.patch/d' \
                        debian/patches/series
                for p in $(cat debian/patches/series) ; do
-                       echo $p
+                       echo ${p}
                        if ! nonfatal eapply -p1 debian/patches/$p ; then
-                               echo "failed $p"
+                               echo "failed ${p}"
                                fail=1
                        fi
                done
@@ -84,7 +85,7 @@ src_prepare() {
                #"${pd}"/0010.0010-utf8.patch
        )
        for p in "${PATCHES[@]}" ; do
-               eapply -p1 $p || die "failed $p"
+               eapply -p1 ${p} || die "failed ${p}"
        done
 
        eautoreconf

diff --git a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r2.ebuild 
b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r2.ebuild
index d8df773c1c7..e8b856e1e81 100644
--- a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r2.ebuild
+++ b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r2.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit autotools eutils flag-o-matic systemd
 
 DESCRIPTION="Utility for controlling IPMI enabled devices."
@@ -62,9 +63,9 @@ src_prepare() {
                        -e '/0120-openssl1.1.patch/d' \
                        debian/patches/series
                for p in $(cat debian/patches/series) ; do
-                       echo $p
-                       if ! nonfatal eapply -p1 debian/patches/$p ; then
-                               echo "failed $p"
+                       echo ${p}
+                       if ! nonfatal eapply -p1 debian/patches/${p} ; then
+                               echo "failed ${p}"
                                fail=1
                        fi
                done
@@ -85,7 +86,7 @@ src_prepare() {
                #"${pd}"/0010.0010-utf8.patch
        )
        for p in "${PATCHES[@]}" ; do
-               eapply -p1 $p || die "failed $p"
+               eapply -p1 ${p} || die "failed ${p}"
        done
 
        # Gentoo chooses to install ipmitool in /usr/sbin

diff --git a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r3.ebuild 
b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r3.ebuild
index c395dcf3694..b881605ca26 100644
--- a/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r3.ebuild
+++ b/sys-apps/ipmitool/ipmitool-1.8.18_p20201004-r3.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit autotools eutils flag-o-matic systemd
 
 DESCRIPTION="Utility for controlling IPMI enabled devices."
@@ -62,9 +63,9 @@ src_prepare() {
                        -e '/0120-openssl1.1.patch/d' \
                        debian/patches/series
                for p in $(cat debian/patches/series) ; do
-                       echo $p
-                       if ! nonfatal eapply -p1 debian/patches/$p ; then
-                               echo "failed $p"
+                       echo ${p}
+                       if ! nonfatal eapply -p1 debian/patches/${p} ; then
+                               echo "failed ${p}"
                                fail=1
                        fi
                done
@@ -85,7 +86,7 @@ src_prepare() {
                #"${pd}"/0010.0010-utf8.patch
        )
        for p in "${PATCHES[@]}" ; do
-               eapply -p1 $p || die "failed $p"
+               eapply -p1 ${p} || die "failed ${p}"
        done
 
        # Gentoo chooses to install ipmitool in /usr/sbin

Reply via email to